FLAIM: Query Object Creation/Initialization/Deletion

- Main Page
- Modules
- Classes
- Files

# Query Object Creation/Initialization/Deletion
[Query Functions]

## Functions
FLMEXP RCODE FLMAPI | FlmCursorInit (HFDB hDb, FLMUINT uiContainerNum, HFCURSOR *phCursor)
| Initialize a query object.
FLMEXP RCODE FLMAPI | FlmCursorFree (HFCURSOR *phCursor)
| Free a query object.
FLMEXP void FLMAPI | FlmCursorReleaseResources (HFCURSOR hCursor)
| Release query object resources.
FLMEXP RCODE FLMAPI | FlmCursorClone (HFCURSOR hSource, HFCURSOR *phCursor)
| Clone a query object.

## Function Documentation

FLMEXP RCODE FLMAPI FlmCursorClone | ( | HFCURSOR | hSource,
|  | HFCURSOR * | phCursor
| ) |

  | Clone a query object. The new cloned query object should be set up with the same query criteria as the query object being cloned, but it should not be optimized yet. Parameters:
  hSource | Handle to query object that is to be cloned.
  phCursor | Newly cloned query object handle is returned here.

FLMEXP RCODE FLMAPI FlmCursorFree | ( | HFCURSOR * | phCursor | ) |

  | Free a query object. Parameters:
  phCursor | Pointer to query handle to be freed. Should be the handle returned from FlmCursorInit().

FLMEXP RCODE FLMAPI FlmCursorInit | ( | HFDB | hDb,
|  | FLMUINT | uiContainerNum,
|  | HFCURSOR * | phCursor
| ) |

  | Initialize a query object. Parameters:
  hDb | Database handle.
  uiContainerNum | Container to be searched.
  phCursor | Query handle is returned here.

FLMEXP void FLMAPI FlmCursorReleaseResources | ( | HFCURSOR | hCursor | ) |

  | Release query object resources. NOTE: This will free all of the resources for a query object except those needed to display the query's criteria and any statistics for the query that were collected while it was running. After this method is called, the query object is no longer in a state where it can be used to retrieve records from the query result set. Parameters:
  hCursor | Handle to query object whose resources are to be released.